********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### hypgf3 ###		  	    
c
	function hypgf3(na,nb,nc,x)
      implicit integer*4 (i-n)
        implicit real*8 (a-h,o-z)		

	hypgf3=1.d0
	if (na.eq.0) return
	a=dble(na)
	b=dble(nb)
	c=dble(nc)
	t=a*b*x/c
	hypgf3=hypgf3+t
	if (-na.eq.1) return
	do i=2,-na
	   t=t*x*(a+dble(i-1))*(b+dble(i-1))/(c+dble(i-1))/dble(i)
	   hypgf3=hypgf3+t
	enddo
	return
	end
